For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
StatusDashboard
  • Getting Started
    • Introduction
    • Authentication
    • Rate Limits
    • Error Handling
  • Guides
    • Cash-In (Receiving Payments)
    • Cash-Out (Sending Payments)
    • PIX Keys Management
    • Webhooks Integration
    • MED (Special Returns)
  • API Reference
      • POSTCreate Charge
      • GETGet Cash-In Status
      • POSTCancel Cash-In
LogoLogo
StatusDashboard
API ReferencePix Cash IN

Cancel Cash-In

POST
https://api.brzip.com.br/api/v1/pix/cash-in/:cash_in_id/cancel
POST
/api/v1/pix/cash-in/:cash_in_id/cancel
$curl -X POST https://api.brzip.com.br/api/v1/pix/cash-in/cash_in_id/cancel \
> -H "x-key-id: your-api-key-id" \
> -H "x-secret-key: your-api-key-secret"
1{
2 "message": "Cash-in cancelled successfully",
3 "success": true
4}

Cancels a pending PIX charge. Only works for charges with pending status.

Scope: pix:cashin:write

Was this page helpful?
Previous

List Reversals

Next
Built with

Path parameters

cash_in_idstringRequired

Cash-In transaction ID

Headers

x-key-idstringRequired
x-secret-keystringRequired

Response

Cash-In cancelled successfully

messagestring
successboolean

Errors

400
Bad Request Error